# RtBrick BNG Blaster

![Build](https://github.com/rtbrick/bngblaster/workflows/Build/badge.svg?branch=main)
[![Linux](https://img.shields.io/badge/OS-linux-lightgrey)](https://rtbrick.github.io/bngblaster/install)
[![License](https://img.shields.io/badge/License-BSD-lightgrey)](https://github.com/rtbrick/bngblaster/blob/main/LICENSE)
[![Documentation](https://img.shields.io/badge/Documentation-lightgrey)](https://rtbrick.github.io/bngblaster)

The BNG Blaster is an open-source network tester 
for access and routing protocols. It can emulate massive 
PPPoE and IPoE (DHCP) subscribers including IPTV, and L2TP (LNS). 
There are various routing protocols supported like ISIS and BGP. 
So you can use it for end-to-end BNG and non-BNG router testing.

You can use the included traffic generator for forwarding verification,
QoS testing or to measure convergence times. The traffic generator supports 
millions of separate tracked flows. This allows you to verify every single 
forwarding state of a full feed internet routing table. You can also send 
traffic to every single QoS queue of your service edge router.

The BNG Blaster is used by leading network operators, network hard- and software vendors.

A short [introduction](https://youtu.be/EHJ70p0_Sw0 "BNG Blaster") and good presentation
from [DENOG13](https://youtu.be/LVg6rlVEfNU "DENOG13") can be found on YouTube. 

Please checkout the [documentation](https://rtbrick.github.io/bngblaster/) for details.

![BBL Interactive](docsrc/sources/images/bbl_interactive.png "BNG Blaster (Interactive Mode)")

## License

BNG Blaster is licensed under the BSD 3-Clause License, which means that you are free to get and use it for
commercial and non-commercial purposes as long as you fulfill its conditions.

See the LICENSE file for more details.

## Copyright

Copyright (C) 2020-2022, RtBrick, Inc.

## Contact

bngblaster@rtbrick.com